aboutsummaryrefslogtreecommitdiff
path: root/git-pull.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2007-07-02 22:52:14 -0700
committerJunio C Hamano <gitster@pobox.com>2007-07-02 22:52:14 -0700
commit5be60078c935ed08ee8eb5a32680bdfb6bb5bdf3 (patch)
tree9f68d81a31f8dfe7af6096e7beac2dc0997c143a /git-pull.sh
parent36e5e70e0f40cf7ca4351b8159d68f8560a2805f (diff)
downloadgit-5be60078c935ed08ee8eb5a32680bdfb6bb5bdf3.tar.gz
git-5be60078c935ed08ee8eb5a32680bdfb6bb5bdf3.tar.xz
Rewrite "git-frotz" to "git frotz"
This uses the remove-dashes target to replace "git-frotz" to "git frotz". Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-pull.sh')
-rwxr-xr-xgit-pull.sh16
1 files changed, 8 insertions, 8 deletions
diff --git a/git-pull.sh b/git-pull.sh
index ba0ca079e..5e96d1f22 100755
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -54,10 +54,10 @@ do
shift
done
-orig_head=$(git-rev-parse --verify HEAD 2>/dev/null)
+orig_head=$(git rev-parse --verify HEAD 2>/dev/null)
git-fetch --update-head-ok "$@" || exit 1
-curr_head=$(git-rev-parse --verify HEAD 2>/dev/null)
+curr_head=$(git rev-parse --verify HEAD 2>/dev/null)
if test "$curr_head" != "$orig_head"
then
# The fetch involved updating the current branch.
@@ -69,8 +69,8 @@ then
echo >&2 "Warning: fetch updated the current branch head."
echo >&2 "Warning: fast forwarding your working tree from"
echo >&2 "Warning: commit $orig_head."
- git-update-index --refresh 2>/dev/null
- git-read-tree -u -m "$orig_head" "$curr_head" ||
+ git update-index --refresh 2>/dev/null
+ git read-tree -u -m "$orig_head" "$curr_head" ||
die 'Cannot fast-forward your working tree.
After making sure that you saved anything precious from
$ git diff '$orig_head'
@@ -86,7 +86,7 @@ merge_head=$(sed -e '/ not-for-merge /d' \
case "$merge_head" in
'')
- curr_branch=$(git-symbolic-ref -q HEAD)
+ curr_branch=$(git symbolic-ref -q HEAD)
case $? in
0) ;;
1) echo >&2 "You are not currently on a branch; you must explicitly"
@@ -113,11 +113,11 @@ esac
if test -z "$orig_head"
then
- git-update-ref -m "initial pull" HEAD $merge_head "" &&
- git-read-tree --reset -u HEAD || exit 1
+ git update-ref -m "initial pull" HEAD $merge_head "" &&
+ git read-tree --reset -u HEAD || exit 1
exit
fi
-merge_name=$(git-fmt-merge-msg <"$GIT_DIR/FETCH_HEAD") || exit
+merge_name=$(git fmt-merge-msg <"$GIT_DIR/FETCH_HEAD") || exit
exec git-merge $no_summary $no_commit $squash $strategy_args \
"$merge_name" HEAD $merge_head